Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.abstract_syntax
Class UndefinedOWLPropertyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.semanticweb.owl.model.OWLException
                        |
                        +--org.semanticweb.owl.io.abstract_syntax.UndefinedOWLPropertyException

All Implemented Interfaces:
  Serializable

public class UndefinedOWLPropertyException
extends OWLException

UndefinedOWLPropertyException.java. Created: Thu Nov 13 11:48:02 2003.

Version:
  $Id: UndefinedOWLPropertyException.java,v 1.1 2003/12/01 17:06:10 dturi Exp $
See Also:
  Serialized Form

Constructor Summary
`UndefinedOWLPropertyException(Set ids)` Creates a new `UndefinedOWLPropertyException` instance and sets the `ids` property.
`UndefinedOWLPropertyException(String id)`

Method Summary
`Set` | `getIds()` Gets the value of the property `ids`, which is set by `UndefinedOWLPropertyException(Set)`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndefinedOWLPropertyException

    public UndefinedOWLPropertyException(String id)

### UndefinedOWLPropertyException

    public UndefinedOWLPropertyException(Set ids)

  Creates a new `UndefinedOWLPropertyException` instance and sets the `ids` property.

Parameters:
  `ids` - a `Set` of Strings of URIs, none of which is a defined property in the current ontology.

Method Detail

### getIds

    public Set getIds()

  Gets the value of the property `ids`, which is set by `UndefinedOWLPropertyException(Set)`.

  Returns:
    a `Set` of Strings representing URIs of OWL properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb